﻿using Confluent.Kafka;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TelpoDataService.Util.Clients;
using TelpoDataService.Util.Entities.GpsLocationHistory;
using TelpoDataService.Util.Models;
using TelpoDataService.Util.QueryObjects;
using TelpoPush.Common;
using TelpoPush.Models.MqTemplates;

namespace TelpoPush.Service.Biz
{
    public interface IZkRealHRMonitorService
    {
        Task Save(ZkRealHeartRateData data, string MessageId);
        Task SaveAnomalyCancel(ZkRealHeartRateAnomalyCancelData data, string MessageId);
    }   
}
